{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to send a test marketing email to a list of email addresses**.\n\nBefore sending a marketing message, you can test it using this endpoint. You may specify up to **10 contacts** in the `emails` request body field. You must also specify a `template_id` and include either a `from_address` or `sender_id`. You can manage your templates with the [Twilio SendGrid App](https://mc.sendgrid.com/dynamic-templates) or the [Transactional Templates API](https://docs.sendgrid.com/api-reference/transactional-templates).\n\n> Please note that this endpoint works with Dynamic Transactional Templates only. Legacy Transactional Templates will not be delivered.\n\nFor more information about managing Dynamic Transactional Templates, see [How to Send Email with Dynamic Transactional Templates](https://sendgrid.com/docs/ui/sending-email/how-to-send-an-email-with-dynamic-transactional-templates/).\n\nYou can also test your Single Sends in the [Twilio SendGrid Marketing Campaigns UI](https://mc.sendgrid.com/single-sends).","properties":{"body":{"type":"object","properties":{"template_id":{"type":"string","format":"uuid","description":"The ID of the template that you would like to use. If you use a template that contains a subject and content (either text or HTML), then those values specified at the personalizations or message level will not be used."},"version_id_override":{"type":"string","format":"uuid","description":" You can override the active template with an alternative template version by passing the version ID in this field. If this field is blank, the active template version will be used."},"sender_id":{"type":"integer","description":"This ID must belong to a verified sender. Alternatively, you may supply a `from_address` email."},"custom_unsubscribe_url":{"type":"string","description":"A custom unsubscribe URL."},"suppression_group_id":{"type":"integer"},"emails":{"type":"array","uniqueItems":true,"minItems":1,"maxItems":10,"items":{"type":"string","format":"email"},"description":"An array of email addresses you want to send the test message to."},"from_address":{"type":"string","description":"You can either specify this address or specify a verified sender ID.","format":"email"}},"required":["template_id","emails"],"examples":[{"template_id":"f8f77db8-b9fa-4b3c-9ee8-de3d582016b8","version_id_override":"7734f757-8eb8-4d22-b7f0-779a72f32986","sender_id":6060664,"custom_unsubscribe_url":"https://example.com/unsubscribe","suppression_group_id":21865513,"emails":["janedoe@example.com","tiramisu@example.com","bundt@example.com"]}]}},"required":[],"additionalProperties":false},"name":"Send a Test Marketing Email","id":"sendgrid.mc_test.sendtestmarketingemail","example":{},"maxRequests":1,"summary":false}}